#include <bits/stdc++.h>
using namespace std;
int main() 
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
string s;
cin>>s;
int n=s.length(),izmedju=0,u=0;
vector <pair <int, char> > v;
int br=0,brcl=0;
for(int i=0;i<n;i++)
{
if(i==0)
br++;
else
{
while(s[i]==s[i-1])
{
br++;
i++;
}
br++;
}
v.push_back(make_pair(br,s[i-1]));
brcl++;
br=0;
if(i==n-1)
{
if(s[i]!=s[i-1])
{
v.push_back(make_pair(1,s[n-1]));
brcl++;
}
}
}
for(int i=1;i<brcl;i++)
{
for(int j=brcl-1;j>=1;j--)
{
izmedju=0;
if(v[i].second==v[j].second)
{
for(int z=i+1;z<j;z++)
izmedju+=v[z].first;
if(v[i].first>izmedju&&v[i].first>v[j].first)
{
u+=v[i].first;
v[i+1].first+=v[i].first;
v.erase(v.begin()+i);
}
else if(izmedju>=v[i].first&&izmedju>=v[j].first)
{
u+=izmedju;
v[j].first+=izmedju;
v[j].first+=v[i].first;
v.erase(v.begin()+i,v.begin()+j);
break;
}
else
{
u+=v[j].first;
v[j-1].first+=v[j].first;
v.erase(v.begin()+j);
}
}
}
}
cout<<u<<endl;
return 0;
}